%==========================================================================
% Replication codes for Bianchi-Nicolo' 
% "A Generalized Approach to Indeterminacy in Linear Rational Expectations Models"
% Quantitative Economics
%==========================================================================
function [ tt ] = dsge_imprf_plot_shades2( irf_p_y,vnames,shnames,figname )
ninput=nargin;
nsh=size(irf_p_y,3);nvar=size(irf_p_y,2);

tt=1:1:size(irf_p_y,1);
if ninput>3
    figure('name',figname,'numbertitle','off')
else
    figure
end
for is=1:nsh
    for iv=1:nvar
        subplot(nsh,nvar,(is-1)*nvar+iv);

        jbfill_plus(squeeze(irf_p_y(:,iv,is,:,1)));hold on
        axis tight
        hline(0)
        hold on
        plot(irf_p_y(:,iv,is,1,1),'b')
        if ninput>1
            if iv==1
                ylabel(shnames(:,is),'interpreter','latex')
            end
            if is==1
                title(vnames(:,iv))
            end
        end

    end
end


end

