%==========================================================================
% Replication codes for Bianchi-Nicolo' 
% "A Generalized Approach to Indeterminacy in Linear Rational Expectations Models"
% Quantitative Economics
%==========================================================================
function prsum=priors_ss_1002(msel)

% pshape: 0 is point mass, both para and pstdd are ignored
%         1 is BETA(mean,stdd)
%         2 is GAMMA(mean,stdd)
%         3 is NORMAL(mean,stdd)
%         4 is INVGAMMA(s^2,nu)



%[8]pdt       
pmean(1,:)=0.45;
pstdd(1,:)=0.04;
pshape(1,:)=2;

%[9]fub            
pmean(2,:)=0.8;
pstdd(2,:)=0.1;
pshape(2,:)=1;

%[10]log(pi_st)             
pmean(3,:)=0.9;
pstdd(3,:)=0.3;
pshape(3,:)=2;

prsum=[pmean,pstdd,pshape];
