%==========================================================================
% Replication codes for Bianchi-Nicolo' 
% "A Generalized Approach to Indeterminacy in Linear Rational Expectations Models"
% Quantitative Economics
%==========================================================================

ii=1;
%[1]rho
para(ii,:) =  [3, 0,     15,  1]; ii=ii+1;
%[2]flb_adj                    
para(ii,:) =  [3, 0,     15,  1]; ii=ii+1;
%[3]surp_adj                  
para(ii,:) =  [3, 0,     15,  1]; ii=ii+1;
%[4]kappa                
para(ii,:) =  [3, 1E-5,  10,    1]; ii=ii+1;
%[5]psi_pi               
para(ii,:) =  [3, 1E-5,  10,    2]; ii=ii+1;
%[6]psi_q            
para(ii,:) =  [3, 1E-5,  10,    2]; ii=ii+1;
%[7]rhoR                    
para(ii,:) =  [1, 1E-5,  0.999, 1];ii=ii+1;
%[8]rhoq
para(ii,:) =  [1, 1E-5,  0.999, 1];ii=ii+1;
%[9]rhos                  
para(ii,:) =  [1, 1E-5,  0.999, 1]; ii=ii+1;
%[10]alph1
para(ii,:) =  [2,   0,     2,     1]; ii=ii+1;
%[11]alph2                
para(ii,:) =  [2,   0,     2,     1]; ii=ii+1;

TRSPEC{1}=para; clear para

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

pdt     =  [3, 0,     15,  1];
fup     =  [1, 1E-5,  0.999, 1];
pi_st   =  [3, 0, 15,  1];  

msel;

para = [pdt;fup;pi_st];  

TRSPEC{2}=para; clear para
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

ii=1;
%[16]sigR - Here we actually define s and nu for inverse gamma
para(ii,:) =  [2, 1E-8,  400,     1];ii=ii+1;
%[17]sigq 
para(ii,:) =  [2, 1E-8,  400,     1];ii=ii+1;
%[18]sigs 
para(ii,:) =  [2, 1E-8,  400,     1];ii=ii+1;
%[19]sigsuns1         
para(ii,:) =  [2, 1E-8,  400,     1];ii=ii+1;
%[20]sigsuns2
para(ii,:) =  [2, 1E-8,  400,     1];ii=ii+1;
%[21]r_suns1_R           
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;
%[22]r_suns1_q           
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;
%[23]r_suns1_R     
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;
%[24]r_suns2_R           
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;
%[25]r_suns2_q           
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;
%[26]r_suns2_R     
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;

TRSPEC{3}=para; clear para
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ii=1;
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;
para(ii,:) =  [2,   -1,     1,     1]; ii=ii+1;



TRSPEC{4}=para; clear para
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





