%==========================================================================
% Replication codes for Bianchi-Nicolo' 
% "A Generalized Approach to Indeterminacy in Linear Rational Expectations Models"
% Quantitative Economics
%==========================================================================


function [TT,QQ,RR,UU,DD,ZZ,VV,RC,CC,RC2,MAT,snames]=bini_sysmat3_fc3(p_st,p_ss,p_er,o_er,PP,msel,MAT,varargin)
nsb=msel(10);
nsc=msel(11);
snames=0;
TT=[];RR=[];DD=[];ZZ=[];CC=[];UU=[];
if nargin>7
    luscho=varargin{1};
else
    luscho=[];
end
if msel(20)==1 && msel(6)<100 && msel(6)~=11 && msel(6)~=10
   
    ssssssssssssss
end

if msel(15)==1
    if sum(msel(13)==[1,3,33,34,35,-35])
        [TT,RR,RC2,TETA,snames] = bini_dsgesolve3_fc2(p_st,p_ss,msel,luscho);

        RC=min(RC2,[],2);
    else
        [RC2,TT,RR] = ftpl_dsgesolve3_cho_fc(p_st,p_ss,msel);
        RC=all(RC2==1);RC(2)=RC(1);
    end  
    CC=zeros(size(TT,1),1);
elseif msel(15)==2
    [TT,~,RR,~,DD,ZZ,~,CC,snames]=from_MAT_to_T(MAT);
    RC=[1;1];
    if msel(5)==1 %Some regimes indeterminate (model specific)
        if msel(6)~=10
            nunu = num2str(msel(6)) ;
            fcn=strcat('indet_',nunu); 
            eval(fcn)
        else
            RC2=[1;0];RC=[1;0];
        end
    elseif msel(5)==2 % All regimes determinate
        RC2=repmat([1;1],1,nsb);    
    else
        dddddddddddddd
    end
end

if msel(6)<100 && msel(6)~=11 && msel(6)~=10
  

    fffffffffffffffffff
else
    
    nunu = num2str(msel(6)) ;
    fcn=strcat('sysmat_',nunu); 
    eval(fcn)
    if any(msel(2)==[-1,-2,-11]) && RC(1)==1
        if any(msel(2)==[-1,-2]) 
            [ TT,RR,ZZ,CC,snames ] = reduce_dim( TT,RR,ZZ,CC,snames );
        else
            [ TT,RR,ZZ,CC,snames ] = reduce_dim_bini( TT,RR,ZZ,CC,snames );
        end
    end

    
end
if msel(15)==1 && RC(1)==1

    
    MAT=from_T_to_MAT(TT,QQ,RR,UU,DD,ZZ,[],CC,snames);
    

    
elseif msel(15)==2

    [TT,~,RR,~,DD,ZZ,~,CC,snames]=from_MAT_to_T(MAT);
    MAT=from_T_to_MAT(TT,QQ,RR,UU,DD,ZZ,[],CC,snames);

end

