%==========================================================================
% Replication codes for Bianchi-Nicolo' 
% "A Generalized Approach to Indeterminacy in Linear Rational Expectations Models"
% Quantitative Economics
%==========================================================================
function [varargout] = para_to_vpara3( parai,SUBV,msel )

subvsp_ms=SUBV{1};subvsp_fc=SUBV{2};subvsp_fx=SUBV{3};
subvss_ms=SUBV{4};subvss_fc=SUBV{5};subvss_fx=SUBV{6};
subvse_ms=SUBV{7};subvse_fc=SUBV{8};subvse_fx=SUBV{9};
subvoe_ms=SUBV{10};subvoe_fc=SUBV{11};subvoe_fx=SUBV{12};

nsb=msel(10);
nsc=msel(11);
varargout{1}=reshape(parai{1}(subvsp_ms,1:nsb),nsb*size(subvsp_ms,1),1);
varargout{2}=parai{1}(subvsp_fc,1);
varargout{3}=parai{2}(subvss_fc,1);
varargout{4}=reshape(parai{3}(subvse_ms,1:nsc),nsc*size(subvse_ms,1),1);
if size(subvse_fc,1)~=0
varargout{4}=[varargout{4};parai{3}(subvse_fc,1)];
end
varargout{5}=parai{4}(subvoe_fc,1);
if max(size(parai))>4
    % HC
    varargout{6} = constH_inv2(parai{5}, msel(35),msel(9),msel(11)); % HC
    if max(size(parai))>5
        % HB or HB model
        varargout{7} = constH_inv2(parai{6}, msel(35),msel(8),msel(10)); % HB
        if max(size(parai))>7
            % HBE if HBM and HBE differ
            hbe = constH_inv2(parai{7}, msel(35),msel(8),msel(10));  % HBE  
            varargout{6} = [varargout{6};hbe];
        end
    else
        varargout{7} = 1;varargout{8} = 1;
    end
end

end

