function path=randdisc(p0,I)
% Make draws from discrete distribution
% P0: prob of the states
% I : number of draws

u=rand(1,I);

path=zeros(1,I);
cdf=cumsum(p0);
for it=1:I
    if u(it)==0
        st=1;
    else
        st=find((u(it)<=cdf) & (u(it)> [0; cdf(1:end-1)]));
    end

    path(1,it)=st;
end

