%==========================================================================
% Replication codes for Bianchi-Nicolo' 
% "A Generalized Approach to Indeterminacy in Linear Rational Expectations Models"
% Quantitative Economics
%==========================================================================
clear para 
clear subvsp_ms subvsp_fc subvsp_fx
clear subvss_ms subvss_fc subvss_fx
clear subvse_ms subvse_fc subvse_fx
clear subvoe_fc subvoe_fx subvoe_fx;


ii=1;
%[1]rho
pnames_sp{ii} =  '\rho     ';ii=ii+1;
%[2]flb_adj
pnames_sp{ii} =  'flb_adj';ii=ii+1;
%[3]surp_adj  
pnames_sp{ii} =  'surp_adj  ';ii=ii+1;
%[4]kappa
pnames_sp{ii} =  '\kappa   ';ii=ii+1;
%[5]psi_pi 
pnames_sp{ii} =  '\psi_\pi   ';ii=ii+1;
%[6]psi_q  
pnames_sp{ii} =  '\psi_q   ';ii=ii+1;
%[7]rhoR  
pnames_sp{ii} =  '\rho_R   ';ii=ii+1;
%[8]rhoq
pnames_sp{ii} =  '\rho_q   ';ii=ii+1;
%[9]rhos  
pnames_sp{ii} =  '\rho_s   ';ii=ii+1;
%[10]alph1
pnames_sp{ii} =  '\alph_1   ';ii=ii+1;
%[11]alph2
pnames_sp{ii} =  '\alph_2   ';ii=ii+1;





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% STEADY STATES

ii=1;
%[13]pdt          
pnames_ss{ii} =  'pdt     ';ii=ii+1;
%[14]fub
pnames_ss{ii} =  'fub ';ii=ii+1;
%[15]log(pi_st)             
pnames_ss{ii} =  '\pi^*   ';ii=ii+1;




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% STRUCTURAL ERRORS
ii=1;
%[16]sigR - Here we actually define s and nu for inverse gamma
pnames_se{ii} =  '\sigma_R ';ii=ii+1;
%[17]sigq - Here we actually define s and nu for inverse gamma   
pnames_se{ii} =  '\sigma_q ';ii=ii+1;
%[18]sigs - Here we actually define s and nu for inverse gamma  
pnames_se{ii} =  '\sigma_s ';ii=ii+1;
%[19]sigmsuns1         
pnames_se{ii} =  '\sigma_\eta_1  ';ii=ii+1;
%[20]sigmsuns2
pnames_se{ii} =  '\sigma_\eta_2  ';ii=ii+1;

%[21]r_suns1_R           
pnames_se{ii} =  '\rho_{\eta_1 R}   ';ii=ii+1;
%[22]r_suns1_q           
pnames_se{ii} =  '\rho_{\eta_1 q}   ';ii=ii+1;
%[23]r_suns1_R     
pnames_se{ii} =  '\rho_{\eta_1 s}   ';ii=ii+1;

%[24]r_suns2_R           
pnames_se{ii} =  '\rho_{\eta_2 R}   ';ii=ii+1;
%[25]r_suns2_q           
pnames_se{ii} =  '\rho_{\eta_2 q}   ';ii=ii+1;
%[26]r_suns2_R     
pnames_se{ii} =  '\rho_{\eta_2 s}   ';ii=ii+1;




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% OTHER PARAMETERS
ii=1;
%[19]sigmy - Here we actually define s and nu for inverse gamma
pnames_oe{ii} =  '\rho_{\eta_2 \eta_1}';ii=ii+1;
%[20]sigmp - Here we actually define s and nu for inverse gamma 
pnames_oe{ii} =  '\gamma   ';ii=ii+1;
%[21]sigmr - Here we actually define s and nu for inverse gamma           
pnames_oe{ii} =  '\gamma   ';ii=ii+1;


