%==========================================================================
% Replication codes for Bianchi-Nicolo' 
% "A Generalized Approach to Indeterminacy in Linear Rational Expectations Models"
% Quantitative Economics
%==========================================================================
function prsum=priors_se_1002(msel)


%[1]sigR - Here we actually define s and nu for inverse gamma
me=0.3;
sd=0.15;
[s,nu]=inverse_gamma_specification(me,sd,1);
% s=0.25;nu=4;
pmean(1,:)=s;
pstdd(1,:)=nu;
pshape(1,:)=4;

%[2]sigq - Here we actually define s and nu for inverse gamma   
me=1;
sd=0.5;
[s,nu]=inverse_gamma_specification(me,sd,1);
% s=0.30;nu=4;
pmean(2,:)=s;
pstdd(2,:)=nu;
pshape(2,:)=4;

%[3]sigs - Here we actually define s and nu for inverse gamma  
me=0.3;
sd=0.15;
[s,nu]=inverse_gamma_specification(me,sd,1);
% s=0.80;nu=4;
pmean(3,:)=s;
pstdd(3,:)=nu;
pshape(3,:)=4;

%[4]sigsuns1
pmean(4,:)=0;
pstdd(4,:)=10;
pshape(4,:)=6;

  
%[5]sigsuns2
pmean(5,:)=0;
pstdd(5,:)=10;
pshape(5,:)=6;

%[6]r_suns1_R        
pmean(6:11,:)=-1;
pstdd(6:11,:)=1;
pshape(6:11,:)=6;



prsum=[pmean,pstdd,pshape];
